package jtexpress

type EstimateFeeItemRes struct {
	ProductType  string `json:"producttype"`
	Price        string `json:"price"`
	CodFee       string `json:"codfee"`
	InsuranceFee string `json:"insurancefee"`
	DiscountFee  string `json:"discountFee"`
	Success      string `json:"success"`
	Reason       string `json:"reason"`
}

type EstimateFeeRes struct {
	LogisticProviderID string                `json:"logisticproviderid"`
	ResponseItems      []*EstimateFeeItemRes `json:"responseitems"`
}

type CreateOrderRes struct {
	LogisticProviderID string                `json:"logisticproviderid"`
	ResponseItems      []*CreateOrderItemRes `json:"responseitems"`
}

type CreateOrderItemRes struct {
	Billcode     string `json:"billcode"`
	CodFee       string `json:"codFee"`
	Code         string `json:"code"`
	DiscountFee  string `json:"discountFee"`
	DispatchSite string `json:"dispatchSite"`
	InquiryFee   string `json:"inquiryFee"`
	Insurancefee string `json:"insurancefee"`
	Reason       string `json:"reason"`
	Reportnewurl string `json:"reportnewurl"`
	Reporturl    string `json:"reporturl"`
	ReporturlJT  string `json:"reporturlJT"`
	Success      string `json:"success"`
	Transport    string `json:"transport"`
	Txlogisticid string `json:"txlogisticid"`
}

type CancelOrderRes struct {
	LogisticProviderID string                `json:"logisticproviderid"`
	ResponseItems      []*CreateOrderItemRes `json:"responseitems"`
}
